# HydroMT-Delft3D FM: Delft3D FM plugin for HydroMT
**The HydroMT-Delft3D FM plugin is under development!**

## What is the HydroMT-Delft3D FM plugin?
This plugin provides an implementation of the HydroMT model API for the [Delft3D FM Suite 1D2D modelling software](https://www.deltares.nl/nl/software/d-hydro-suite-1d2d/) model.

[HydroMT](https://deltares.github.io/hydromt/latest/) is an open-source Python package that facilitates the process of
building and analyzing spatial geoscientific models with a focus on water system models.
It does so by automating the workflow to go from raw data to a complete model instance which
is ready to run and to analyze model results once the simulation has finished. 

## Why HydroMT-Delft3D FM?
Setting up hydraulic models typically requires many (manual) steps to process input data and might therefore be time consuming and hard to reproduce. Especially improving models based on global-local geospatial datasets, which are rapidly becoming available at increasingly high resolutions, might be challenging. HydroMT-Delft3D FM aims to make the Delft3D FM model building for large, complex areas fast, flexible, reproducible and scalable, based on GIS data and independent of its locations or users, resulting in more time for the modeller to analyze the results.

## How to use HydroMT-Delft3D FM?
The HydroMT-Delft3D FM plugin can be used as a **command line** application, which provides commands to *build*,
*update* and *clip* a Delft3D FM model with a single line, or **from python** to exploit its rich interface.

## Contact
Please feel free to contact [@rhutten](https://github.com/rhutten), [@xldeltares](https://github.com/xldeltares), [@hboisgon](https://github.com/hboisgon) and [@priscavdsluis](https://github.com/priscavdsluis) for more information.
